<?php

namespace Saswp\Api\Public;
use Saswp\Api;
use Saswp\Api\Vendor\VendorGroup\VendorGroupWordpressSitemapDownloadApi;
use Saswp\Settings;
use WP_REST_Request;

class TriggerSitemapDowloadController
{
    private Api $api;
    private Settings $settings;

    public function __construct(){
        $this->api = new Api();
        $this->settings = new Settings();
    }
    public function __invoke(WP_REST_Request $wpRestRequest):array
    {
        $vendorGroupWordpressSitemapDownloadApi = new VendorGroupWordpressSitemapDownloadApi();
        return $vendorGroupWordpressSitemapDownloadApi->__invoke($wpRestRequest);
    }


}
